import { system, world, EquipmentSlot } from "@minecraft/server";

world.afterEvents.entityHurt.subscribe((data) => {
    const target = data.hurtEntity;
    const attacker = data.damageSource.damagingEntity;
    const damage = data.damage;
    
    // siphon scythe
    if (attacker?.hasTag("siphon") || attacker?.getComponent("equipment_inventory")?.getEquipment(EquipmentSlot.mainhand)?.typeId == "sa:siphon_scythe") {
        attacker.getComponent("health").setCurrentValue(attacker.getComponent("health").currentValue + (damage - 1))
    }
})